#!/usr/bin/env bash
# ==========================================================================
#         ____            _                     _____           _
#        / ___| _   _ ___| |_ ___ _ __ ___     |_   _|__   ___ | |___
#        \___ \| | | / __| __/ _ \ '_ ` _ \ _____| |/ _ \ / _ \| / __|
#         ___) | |_| \__ \ ||  __/ | | | | |_____| | (_) | (_) | \__ \
#        |____/ \__, |___/\__\___|_| |_| |_|     |_|\___/ \___/|_|___/
#               |___/
#                             --- System-Tools ---
#                  https://www.nntb.no/~dreibh/system-tools/
# ==========================================================================
#
# Example System-Info system-info.d Script
# Copyright (C) 2013-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

# Bash options:
set -eu

# Helper function library -> just return when it is not available.
# Exit code 0 will let System-Info continue with the next script!
# shellcheck disable=SC1091
. "$(dirname "$0")/banner-helper" || exit 0


# ====== Print banner =======================================================

# NOTE:
# You can produce ASCII text banners with "sysvbanner".
# More advanced, UTF-8-capable tools are e.g. figlet and toilet.

echo -en "\x1b[1;34m"
separator " <😀" "=" "😀> "
echo -en "\x1b[1;31m"
center "#     #                                                   ###"
center "#  #  #  ######  #        ####    ####   #    #  ######   ###"
center "#  #  #  #       #       #    #  #    #  ##  ##  #        ###"
center "#  #  #  #####   #       #       #    #  # ## #  #####     # "
center "#  #  #  #       #       #       #    #  #    #  #           "
center "#  #  #  #       #       #    #  #    #  #    #  #        ###"
center " ## ##   ######  ######   ####    ####   #    #  ######   ###"
echo -en "\x1b[1;34m"
center ""
center "$(gettext "You can change this banner in /etc/system-info.d!")"
separator " <😀" "=" "😀> "
echo -e "\x1b[0m"


# ====== Finish =============================================================

# With exit code 1, no further files in /etc/system-info.d are processed.
# Use exit code 0 to continue processing files.
exit 1   # 1 => No further processing
